﻿@using ProjectUni.Models



@if (Session["Login"] != null)
{

    PContext db = new PContext();
    var email = Session["Email"].ToString();
    var user = db.users.Where(c => c.Email == email).FirstOrDefault();
    var company = db.Companies.Where(c => c.Email == email).FirstOrDefault();
    var institute = db.institute.Where(c => c.Email == email).FirstOrDefault();


    if (Session["Role"].ToString() == "Candidate")
    {
        if (user != null)
        {
            <li class="active">
                @Html.ActionLink("Profile", "Viewinfo_p", "users", new { id = user.UserId }, htmlAttributes: new { title = "Registrations" })
            </li>
        }
        else
        {
            <li class="active">
                @Html.ActionLink("Profile", "insertinfo", "users", null)
            </li>
        }

        @*<li class="dropdown">
                <a class="dropdown-toggle" data-toggle="dropdown" href="#">Page 1 <span class="caret"></span></a>
                <ul class="dropdown-menu">
                    <li><a href="#">Page 1-1</a></li>
                    <li><a href="#">Page 1-2</a></li>
                    <li><a href="#">Page 1-3</a></li>
                </ul>
            </li>*@
        <li>
            @Html.ActionLink("Training", "Topics", "users")
        </li>
        <li>
            @Html.ActionLink("Test", "TestTopic", "users", new { id = 1 }, null)
        </li>
        <li>
            @Html.ActionLink("Job", "Jobs", "users")
        </li>
        <li>
            @Html.ActionLink("Result", "Index", "results")
        </li>
        <li>
            @Html.ActionLink("Courses", "Courses", "users")
        </li>
    }



    if (Session["Role"].ToString() == "Admin")
    {
        <li class="active">
            @Html.ActionLink("Dashboard", "Index", "Admin")
        </li>

    }


    if (Session["Role"].ToString() == "Company")
    {
        <li class="active">
            @if (company != null)
            {
                @Html.ActionLink("Profile", "details", "companies", new { id = company.CompanyId }, htmlAttributes: new { title = "Registrations" })
            }
        </li>
        <li>@Html.ActionLink("Job", "jobindex", "Companies", null, htmlAttributes: new { title = "Registrations" })</li>
    }

    if (Session["Role"].ToString() == "Institute")
    {
        if (institute != null)
        {
            <li class="active">


                @Html.ActionLink("Profile", "details", "Institutes", new { id = institute.InstituteId }, htmlAttributes: new { title = "Registrations" })

            </li>
            <li>@Html.ActionLink("Course", "Courses", "Institutes", new { id = institute.InstituteId }, htmlAttributes: new { title = "Registrations" })</li>
        }
    }
}

